-- $Id: actor_fields.lua 1461 2015-06-17 23:55:16Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Descriptions for various flags, used by NPC:getDesc().

newFieldDesc('is', 'UNIQUE', 'unique')
newFieldDesc('is', 'MALE', 'male')
newFieldDesc('is', 'FEMALE', 'female')
newFieldDesc('is', 'ANIMAL', 'animal')
newFieldDesc('is', 'EVIL', 'evil')
newFieldDesc('is', 'GOOD', 'good')
newFieldDesc('is', 'UNDEAD', 'undead')
newFieldDesc('is', 'DRAGON', 'dragon')
newFieldDesc('is', 'DEMON', 'demon')
newFieldDesc('is', 'GIANT', 'giant')
newFieldDesc('is', 'TROLL', 'troll')
newFieldDesc('is', 'ORC', 'orc')
newFieldDesc('is', 'THUNDERLORD', 'Thunderlord')
newFieldDesc('is', 'SPIDER', 'spider')
newFieldDesc('is', 'NAZGUL', 'Nazgûl')
newFieldDesc('is', 'INVISIBLE', 'invisible')
newFieldDesc('is', 'COLD_BLOOD', 'cold-blooded')
newFieldDesc('is', 'SMART', 'smart')
newFieldDesc('is', 'STUPID', 'stupid')

newFieldDesc('can', 'OPEN_DOOR', 'open doors')
newFieldDesc('can', 'BASH_DOOR', 'bash down doors')
newFieldDesc('can', 'PASS_WALL', 'pass through walls')
newFieldDesc('can', 'KILL_WALL', 'bore through walls')
newFieldDesc('can', 'MOVE_BODY', 'push past weaker monsters')
newFieldDesc('can', 'KILL_BODY', 'destroy weaker monsters')
newFieldDesc('can', 'TAKE_ITEM', 'pick up objects')
newFieldDesc('can', 'KILL_ITEM', 'destroy objects')
newFieldDesc('can', 'HAS_LITE', 'illuminate the dungeon')
