-- $Id: objects.lua 349 2013-06-22 04:40:11Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

local loadIfNeeded = function(filename)
  if not loaded[filename] then load(filename, entity_mod) end
end

loadIfNeeded('/data/general/objects/bases.lua')

loadIfNeeded('/data/general/objects/ammo.lua')
loadIfNeeded('/data/general/objects/amulets.lua')
loadIfNeeded('/data/general/objects/assorted.lua')
loadIfNeeded('/data/general/objects/axes.lua')
loadIfNeeded('/data/general/objects/books.lua')
loadIfNeeded('/data/general/objects/boots.lua')
loadIfNeeded('/data/general/objects/chests.lua')
loadIfNeeded('/data/general/objects/cloaks.lua')
loadIfNeeded('/data/general/objects/corpses.lua')
loadIfNeeded('/data/general/objects/diggers.lua')
loadIfNeeded('/data/general/objects/dragon-armor.lua')
loadIfNeeded('/data/general/objects/essences.lua')
loadIfNeeded('/data/general/objects/food.lua')
loadIfNeeded('/data/general/objects/gloves.lua')
loadIfNeeded('/data/general/objects/hafted-wpns.lua')
loadIfNeeded('/data/general/objects/hard-armor.lua')
loadIfNeeded('/data/general/objects/helms.lua')
loadIfNeeded('/data/general/objects/instruments.lua')
loadIfNeeded('/data/general/objects/junk.lua')
loadIfNeeded('/data/general/objects/lights.lua')
loadIfNeeded('/data/general/objects/money.lua')
loadIfNeeded('/data/general/objects/parchments.lua')
loadIfNeeded('/data/general/objects/polearms.lua')
loadIfNeeded('/data/general/objects/potions.lua')
loadIfNeeded('/data/general/objects/rings.lua')
loadIfNeeded('/data/general/objects/rods.lua')
loadIfNeeded('/data/general/objects/rod-tips.lua')
loadIfNeeded('/data/general/objects/runes.lua')
loadIfNeeded('/data/general/objects/scrolls.lua')
loadIfNeeded('/data/general/objects/shields.lua')
loadIfNeeded('/data/general/objects/shooters.lua')
loadIfNeeded('/data/general/objects/soft-armor.lua')
loadIfNeeded('/data/general/objects/staffs.lua')
loadIfNeeded('/data/general/objects/swords.lua')
loadIfNeeded('/data/general/objects/traps.lua')
loadIfNeeded('/data/general/objects/wands.lua')
