-- $Id: sauron.lua 1841 2015-10-31 20:37:01Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

id = 'sauron'
name = 'Sauron'
danger_level = 99	-- cf. src/tables.c line 3671
desc = function(self, who)
  if self:isEnded() then
    return [[You have slain Sauron the Sorcerer, opening the way to the deepest depths of the Pits of Angband, where Morgoth resides.]]
  else
    return [[It is time to take the battle to Morgoth.  However, his lieutenant Sauron guards the depths of Angband, and his magic hides the stairs that lead to Morgoth.  You must find Sauron and slay him.]]
  end
end
