-- $Id: tval_desc.lua 381 2013-06-26 21:01:57Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Object category descriptions extracted from T2's src/table.c.

return {
    [1] = [[It looks dead...]],
    [2] = [[An empty bottle. Maybe an alchemist could refill it.]],
    [4] = [[Essences contain primitive magic forces which users of the Alchemy skill can use to create powerful magic items from other magic items.]],
    [5] = [[Spikes can be used to jam doors.]],
    [6] = [[Mage Staves are the spellcaster's weapons of choice.  They all reduce spellcasting time to 80% of normal time and some will yield even greater powers.]],
    [8] = [[Parchments can contain useful information ... or useless junk.]],
    [9] = [[It looks dead...]],
   [10] = [[Eggs are laid by some monsters.  If they hatch in your inventory the monster will be your friend.]],
   [11] = [[Junk is usually worthless, though experienced archers can create ammo with them.]],
   [12] = [[Tools can be digging implements, climbing equipment and such. They have their own slot in your inventory.]],
   [14] = [[Musical instruments can be used with the Music skill to play magical songs. Some of them can also be activated.]],
   [15] = [[Boomerangs can be used instead of bows or slings.  They are more like melee weapons than bows.]],
   [16] = [[Shots are small, hard balls.  They are the standard ammunition for slings.  You can carry them in your quiver if you have a sling equipped.]],
   [17] = [[Arrows are the standard ammunition for bows.  You can carry them in your quiver if you have a bow equipped.]],
   [18] = [[Bolts are the standard ammunition for crossbows.  You can carry them in your quiver if you have a crossbow equipped.]],
   [19] = [[Slings, bows and crossbows are used to attack monsters from a distance.]],
   [20] = [[Tools can be digging implements, climbing equipment and such.  They have their own slot in your inventory.]],
   [21] = [[Hafted weapons are melee weapons.  Eru followers can use them without penalties.]],
   [22] = [[Polearms are melee weapons.]],
   [23] = [[Swords are melee weapons.]],
   [24] = [[Axes are melee weapons.]],
   [30] = [[Boots can help your armour rating.  Some of these are magical.]],
   [31] = [[Handgear is used to protect hands, but nonmagical ones can sometimes hinder spellcasting.  Alchemists need gloves in order to do alchemy.]],
   [32] = [[Headgear will protect your head.]],
   [33] = [[Crowns generally provide very little protection for your head (unless they're magical).]],
   [34] = [[Shields will help improve your defence rating, but you cannot use them with two handed weapons.]],
   [35] = [[Cloaks can shield you from damage.  Sometimes they also provide magical powers.]],
   [36] = [[Soft armour is light, and will not hinder your combat much.]],
   [37] = [[Hard armour provides much more protection than soft armour but also hinders combat much more.]],
   [38] = [[Dragon armour is made from the scales of dead dragons. These mighty sets of armour usually yield great power to their wearer.]],
   [39] = [[Lights allow you to read things and see from afar. Some of them need to be fueled but some do not.]],
   [40] = [[Amulets are fine pieces of jewelry, usually imbued with arcane magics.]],
   [45] = [[Rings are fine pieces of jewelry, usually imbued with arcane magics.]],
   [46] = [[Trapping kits are used with the trapping ability to set deadly monster traps.]],
   [55] = [[Staves are objects imbued with mystical powers.]],
   [65] = [[Wands are like small staves and usually have a targeted effect.]],
   [66] = [[Rod tips are the physical bindings of powerful spells.  Zap (attach) them to a rod to get a fully functional rod. Each spell takes some mana from the rod it is attached to to work.]],
   [67] = [[Rods contain mana reserves used to cast spells in rod tips.  Zap (attach) a rod tip to them to get a fully functional rod. Each spell takes some mana from the rod it is attached to to work.]],
   [70] = [[Scrolls are magical parchments imbued with magic spells. Some are good, some...are not.  When a scroll is read, its magic is released and the scroll is destroyed.]],
   [71] = [[Potions are magical liquids.  Some of them are beneficial...some not.]],
   [77] = [[Flasks of oil can be used to refill lanterns.]],
   [80] = [[Everybody needs to eat, even you.]],
   [99] = [[This monster seems to be hypnotised and friendly.]],
  [102] = [[Those objects are only known of by rumours.  It is said that they can be activated for great or strange effects...]],
  [104] = [[Runes are used with the Runecraft skill to create brand new spells.]],
  [105] = [[Runes are used with the Runecraft skill to create brand new spells.]],
}
