-- $Id: traps.lua 1864 2015-11-09 23:57:33Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

load('/data/general/traps/store.lua')

newEntity {
  base = 'BASE_STORE',
  define_as = 'LOTHLORIEN_HOME',
  name = "Your home (née Wolves' Den)",
  resolvers.store('LOTHLORIEN_HOME', 'home'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THE_MIRROR',
  name = "The Mirror",
  resolvers.building_chat('galadriel', 'THE_MIRROR'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'SEAT_OF_RULING',
  name = "Seat of Ruling",
  resolvers.building_chat('placeholder', 'SEAT_OF_RULING'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'INN',
  name = "Inn",
  resolvers.store('INN'),
  resolvers.building_chat('placeholder'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'BEASTMASTER_SHANTY',
  name = "Beastmaster Shanty",
  resolvers.building_chat('placeholder', 'BEASTMASTER_SHANTY'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'WIZARDS_SPIRE',
  name = "Wizards Spire",
  resolvers.building_chat('placeholder', 'WIZARDS_SPIRE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'PRIESTS_CIRCLE',
  name = "Priests Circle",
  resolvers.building_chat('placeholder', 'PRIESTS_CIRCLE'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'RANGERS_GUILD',
  name = "Rangers Guild",
  resolvers.building_chat('placeholder', 'RANGERS_GUILD'),
}

newEntity {
  base = 'BASE_STORE',
  define_as = 'THUNDERLORDS_NEST',
  name = "Thunderlords' Nest",
  resolvers.building_chat('placeholder', 'THUNDERLORDS_NEST'),
}
