-- $Id: narsil.lua 1743 2015-10-16 23:49:27Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

add_hooks = function()
  class:bindHook('CharacterSheet:dumpLine', function(self, data)
    local q = game.player:hasQuest('narsil')
    if q and q:isEnded() then
      table.insert(data.lines, 'The sword that was broken is now reforged.')
    end
  end)
end

id = 'narsil'
name = 'The Sword That Was Broken'
desc = function(self, who)
  if self:isEnded() then
    return [[You found the broken pieces of Elendil's sword Narsil and took them to Minas Anor, where King Aragorn reforged them into Andúril and gave it to you.]]
  else
    return [[You have found the broken pieces of Elendil's sword Narsil, of which legend says says that "the sword that was broken shall be reforged".  You should show it to King Aragorn in Minas Anor.]]
  end
end
