-- $Id: rumors.lua 82 2012-09-20 04:30:24Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Rumors from T2's rumors.txt.

local rumors = {
  [[They say that you can't trust rumors.]],
  [[You have no more Black Potions of Death.]],
  [[They say that smart guys hang around at 1600'.]],
  [[They say that tough guys hang around at 1500'.]],
  [[They say that handsome guys hang around at 1200'.]],
  [[They say that a visit to 3250' can be quite an experience.]],
  [[They say that a visit to 3250' will only get you killed.]],
  [[Throw a Potion of Blindness at a monster and it cannot cast any spells!]],
  [[MAKE MONEY FAST! Find a Treasure Pit!]],
  [[Not satisfied with the artifacts you find? Then create your own!]],
  [[They say that Sauron has forged an all-powerful Ring.]],
  [[A good item will not corrode.]],
  [[They say that Nibelungs live in dark caves.]],
  [[Some weapons that slay dragons can be very deadly against them...]],
  [[Finding the Phial of Galadriel at 50' is nothing to be proud of.]],
  [[There are Black Market stores hidden deep in the dungeon, with COOL stuff!]],
  [[What a pity, you cannot read it!]],
  [[You will encounter a dark, tall stranger...]],
  [[A Mithril mail will not rust.]],
  [[An Adamantite mail will not rust.]],
  [[A Rusty Chain Mail cannot rust any further.]],
  [[If you are a mage, you will NOT want to find Raal's Tome of Destruction!]],
  [[You won't want to find Raal's Tome of Destruction!]],
  [[You won't want to find Raal's Tome of Destruction, unless you are a mage.]],
  [[A Wand of Death is useless against monsters that are tougher than you.]],
  [[A Wand of Death is of little use against foes that are dead already.]],
  [[Try taking off your armor before fighting a Gelatinous Cube!]],
  [[They say that only one sword can score *CRITICAL* hits.]],
  [[This rumor is not true.]],
  [[If you can fall like a feather, you need not care about gravity.]],
  [[They say that you should rejoice if you find a scroll labeled ""!]],
  [[You don't always have to kill everything you meet!]],
  [[If you can't beat it, leave it alone!]],
  [[An umber hulk can be a confusing sight.]],
  [[There *is* a good use for Potions of Detonations, Ruination and Death...]],
  [[Watch your step!]],
  [[It's a bad idea to throw away a Longsword (4d5).]],
  [[It's a bad idea to wield a Longsword (4d5).]],
  [[It's useless to bash monsters with bows - but there's one notable exception...]],
  [[Actually, Slime Mold Juice is not completely useless.]],
  [[Help me! I'm being held captive in a Vault at 2850'!]],
  [[Ever tried inscribing your armor {erodeproof}?]],
  [[Using a Morningstar in the evening has no effect.]],
  [[Why are you wasting time reading fortunes?]],
  [[There is a horrible, ghastly fate awaiting you... at 2700'!]],
  [[You can get the Longsword 'Ringil' by doing the following:]],
  [[You can protect yourself from Great Wyrms of Power by doing the following:]],
  [[Its true name is 249.]],
  [[You feel like someone's pulling your leg!]],
  [[AAAAAAAAAAARRRRRRRRGGGGHHHHHHH!]],
  [[Try inscribing the name of the first monster killed by it in the weapon!]],
  [[The richer the victim the happier the thief.]],
  [[Beware the Jabberwock, my son! The jaws that bite, the claws that catch...]],
  [[There's something bad about what you are carrying in your backpack...]],
  [[Thieves are more likely to appear if you are carrying a lot of money.]],
  [[Brand's sword, Werewindle, probably knows more than just one trick.]],
  [[They say that Scrolls of *Curse Weapon* can create powerful cursed artifacts.]],
  [[They say that the Chainsword makes monsters mad with its awful noise!]],
  [[They say that Ringil shines so brightly that it makes monsters angry.]],
  [[Orcs are mortally afraid of weapons that can slay them.]],
  [[There is a way to turn a Ring of Speed (-20) into a Ring of Speed (+20).]],
  [[There is no way to turn a Ring of Speed (-20) into a Ring of Speed (+20).]],
  [[VECNA LIVES!!!]],
  [[Cool guys can resist fire.]],
  [[They say that death incarnate wears heavy metal boots...]],
  [[You feel the Longsword (t) you are carrying in your backpack is special...]],
  [[If you start seeing red monsters, you have probably gained infravision.]],
  [[They say that the dungeon is deeper than the Abyss.]],
  [[When all else fails, read the instructions.]],
  [[No poison is immediately deadly.]],
  [[I have seen a Ring of Speed (+50) in the Black Market!]],
  [[Telepathy works like a two-way door.]],
  [[Elvish waybread might negate the effects of poison.]],
  [[Once uncursed, Calris will become a deadly weapon.]],
  [[If there's a stairway to hell, there must also be a stairway to heaven.]],
  [[You feel your luck is turning...]],
  [[If you thought Death swords were bad, wait until you meet Killer katanas!]],
  [[Overeating can be bad for your health if there are others nearby.]],
  [[Cave dwellers are accustomed to darkness and rarely enjoy bright light.]],
  [[A creature made of stone can be slain by a spell that turns stone to mud.]],
  [[It is often a good idea to throw items that you don't want to eat or drink.]],
  [[The faster you run the more food you will burn.]],
  [[Invisible monsters will often expose themselves if you drop items around you.]],
  [[They say that the key to killing tougher monsters is called "hit&run".]],
  [[They say that there is no such thing as free advice.]],
  [[Wearing an Amulet of Doom will take you into the Dungeons of Doom.]],
  [[You can often wrest one last charge from an empty wand if you try hard enough.]],
  [[Wands may recharge themselves if you leave them on the floor long enough.]],
  [[There is more than one way to deal with a locked door.]],
  [[Afraid of your valuables getting stolen? Carry more junk!]],
  [[Afraid of your money getting stolen? Invest it!]],
  [[If you hear something smash into splinters, you had better watch out.]],
  [[They say that you had better leave Greater hell-beasts alone.]],
  [[Selling unidentified potions to shopkeepers might be safer than quaffing them.]],
  [[Always look out for trapdoors on "special" feeling levels!]],
  [[There is a way to max out your stats with Potions of Charisma & Nexus.]],
  [[Unique opponents will recover their health faster than other creatures.]],
  [["So when I die, the first thing I will see in heaven is a score list?"]],
  [[You're going into the morgue at midnight?]],
  [[How dare you! I will not buy that!]],
  [[A Potion of Detonations is also known as nitroglycerin...]],
  [[Operation OVERKILL has started now.]],
  [[There is a trap on this level!]],
  [[A weapon of Undead Slaying has all you need to kill a ghost.]],
  [[A weapon of Dragon Slaying may give you resistance to a dragon's breath attack.]],
  [[They say that only a Warrior will want to wear the Terror Mask.]],
  [[All that is shall come to an end - a dark day dawns for the gods.]],
  [[The One Ring is powerful, but will eventually destroy its owner.]],
  [[Having troubles with summoners? Door Creation is your friend!]],
  [[Stairway Creation may be slower than Teleport Level, but safer...]],
  [[Wands of Heal Monster are useful! Hint: ball spell, @....moo(o)ooo]],
  [[Guaranteed heal self - scenario: o'@, type c4c4c4c4]],
  [[If it can't see you, it can't hurt you!]],
  [[If it can't see you, you might still be able to hurt it...]],
  [[I love you, you love me, we are a happy family!]],
  [[No animal is interested in sex if it is mortally scared.]],
  [[The butler did it.]],
  [[The butler is innocent.]],
  [[There is a plenty of Longswords around 1000'.]],
  [[Groo is your worst nightmare.]],
  [[Freddy Krueger is your worst nightmare.]],
  [[Groo is an idiot! Groo is a dolt! He is a fool! He has no mind!]],
  [[There are often stairways in graveyards: bad people are carried to hell...]],
  [[Only a god of Thunder could ride a lightning bolt!]],
  [[When the day of Ragnarok comes, Surtur will set the world afire...]],
  [[Surtur's accursed sword, Twilight, burns with everlasting fire.]],
  [[Groo may be as dumb as an amoeba, but he knows a good sword when he sees one.]],
  [[Weapons of Flame will light your way.]],
  [[Want to invest some money? Contact $crooge McDuck, 1300'.]],
  [[Need a loan? Contact $crooge McDuck, 1300'.]],
  [[They say that the gods get angry if you pray too much.]],
  [[For any remedy there is a misery.]],
  [[Poison will kill you slowly.]],
  [[Didn't you forget to pay?]],
  [[Death is just life's way of telling you you've been fired.]],
  [[They say that nobody can defeat his own ghost.]],
  [[A greedy genocide can be a fatal mistake, especially if you are low on hits.]],
  [[PLEASE ignore the previous rumor.]],
  [[There are scrolls that can be read only by mages.]],
  [[Some undead opponents will come back if defeated, more powerful than before!]],
  [[The answer is 42.]],
  [[Your mother wears army boots!]],
  [[One level further down somebody is getting killed, right now.]],
  [[Meet me at 1900' if you are a man.]],
  [[Bashing a creature may sometimes stun it.]],
  [[And now, Groo does what Groo does best!]],
  [[One Ring to rule them all, One Ring to find them.]],
  [[One Ring to bring them all and in the darkness bind them.]],
  [[Three Rings for the Elven-kings under the sky...]],
  [[Never carry a Potion of Detonations if there is a fire trap nearby!]],
  [[Laugh to scorn the power of man, for none of woman born shall harm thee!]],
  [[All hail thee that shalt be king hereafter!]],
  [[He who laughs at Groo's brains will find there is nothing to laugh about.]],
  [[A wise man always speaks too soon...]],
  [[Let us not dwell on possible bad fortunes!]],
  [[Appearance is only the frosting, not the cake!]],
  [[A feeling of Death flows through your body.]],
  [[Violence is no solution.]],
  [[Boots of Speed (+50) are no myth!]],
  [[You will need to Restore the Constitution if the Anarchists strike.]],
  [[Drain you of your sanity: Face the Thing That Should Not Be!]],
  [[Since by curse it came to me, accursed be this Ring!]],
  [[Each shall itch to possess the Ring, but none in it shall find pleasure!]],
  [[I know whatever was; whatever is, whatever shall be.]],
  [[Barney MUST die!!!]],
  [[Pudpadnoy Tooboothokoot is possessed by a demon known only as "It".]],
  [[They say that the One Ring has a very special curse.]],
  [[They say that alcohol is bad for your health.]],
  [[What if you DON'T give a name to the artifact you create..?]],
  [[They say that ancient battlefields are often haunted.]],
  [[Beware of pits that fill the whole level!]],
  [[Liar! I have not the gold!]],
  [[They say that the true name of wall monsters is 177.]],
  [[Never mind the Phial of Galadriel - the Phial of the Gods kicks its butt!]],
  [[A Ring of Speed? Phooey! Try looking for a Ring of *Speed*!]],
  [[Thisss cccity isss guilty... the crime isss life... the ssentence isss DEATH!]],
  [[If you hear heavy steps - watch out!]],
  [[A visit to the Zoo is educational: you meet many strange animals.]],
  [[What happens if you wear a Ring of Extra Ring Fingers (-2) {cursed}?]],
  [[Oremor nhoj em llik tsum uoy emag siht niw ot.]],
  [[If I cancel tomorrow the undead will thank me today.]],
  [[Hellfire will burn your soul...]],
  [[Call the Void needs a lot of room to cast...]],
  [[Why doesn't Detect Monsters show invisible monsters? 'Cos you can't see 'em!]],
  [[I'll tell you the truth, son: your soul's gonna burn in a lake of fire!]],
  [[There is a rare spellbook called [M$ PowerFools] {cursed}]],
  [[*** LOW HITPOINT WARNING! ***]],
  [[You cruelly stab the helpless, sleeping Software bug!]],
  [[Slab: Jus' say AarrghaarrghpleeassennononoUGH.]],
  [[You feel the Windows (95) on your hard disk is broken...]],
  [[Spirit, hatch that painted spirit of the lamb sparrow.]],
  [[Gone insane from the pain that sure they know: for who the flange sound?]],
  [[With time the child dissipates within, this blinking boy made badly.]],
  [[Not to be never, never not to see, so as to dub the thee unforgiven.]],
  [[Soon in order to fill up our lungs: the warmth of twenty dead women.]],
  [[The eternal death of eons of the foreigner of the lie can die not absolutely.]],
  [[Drain you of your sanity: in front do the thing that does not have to be.]],
  [[The opinion you had were salt expresses.]],
  [[They say that the dark mists of Morgoth can both bestow and remove the curse.]],
}
return rumors[rng.range(1, #rumors)]
