-- $Id: grids.lua 2508 2016-09-14 02:02:13Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright © 2012-2016 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

-- Zone grids for Moria.

load('/data/general/grids/all.lua')

newEntity {
  base = 'DOWN',
  define_as = 'DOWN_TO_SMALL_WATER_CAVE',
  name = 'entrance to a small water cave',
  looks_like = 'DOWN',
  change_level = 1,
  change_zone = 'small-water-cave',
}

newEntity {
  base = 'DOWN',
  define_as = 'DOWN_TO_KHAZAD_DUM',
  name = 'stairs to the highest peaks of Moria',
  looks_like = 'DOWN',
  change_level = 1,
  change_zone = 'worldmap',
  change_zone_params = { use_zone='moria-bottom' },
}
