-- $Id: ShowQuests.lua 1929 2015-11-29 21:43:25Z dsb $
-- ToME - Tales of Middle-Earth
-- Copyright (C) 2012 Scott Bigham
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Scott Bigham "Zizzo"
-- dsb-tome@killerbbunnies.org

require 'engine.class'
local ShowQuests = require 'engine.dialogs.ShowQuests'

module(..., package.seeall, class.inherit(ShowQuests))

function _M:generateList()
  ShowQuests.generateList(self)

  for _, item in ipairs(self.list) do
    if item.quest.danger_level then
      item.desc = item.desc .. ("\n\n#YELLOW##{italic}#[This quest has an estimated difficulty level roughly equivalent to dungeon level %d.]#{normal}##LAST#"):format(item.quest.danger_level)
    end
  end
end
